/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.elvisoperatorwithoptinalclass;

import java.util.Optional;

/**
 *
 * @author omozegieaziegbe
 */
public class ElvisOperatorWithOptinalClass {

    public static String getName(Person person) {
        return Optional.ofNullable(person)
                .map(Person::getName)
                .orElse("Unknown");
    }

    public static void main(String[] args) {
        Person personWithName = new Person();
        personWithName.setName("Alexander");
        String name = getName(personWithName);
        System.out.println(name); // Output: Alexander

        Person personWithoutName = null;
        String defaultName = getName(personWithoutName);
        System.out.println(defaultName); // Output: Unknown
    }
}

class Person {

    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
